Will Framework 4.0 install on Windows7 x64 Pre-SP1?

Discussion in 'Windows 7' started by Katinka1, Mar 16, 2017.

  1. Katinka1

    Katinka1 MDL Novice

    Dec 16, 2016
    35
    0
    0
    So, I almost finished installing Windows7 x64 Pre- SP1 on my laptop. And now one little utility needs the Net Framework 4.0 installed. I really need that utility to quiet my laptopfan (Notebookfancontrol). I have the standalone Net Framework installer on a thumbdrive. But am worried it could mess up my perfect installation of Windows 7. For some odd Microsoft reason. Does anyone know if version 4 will install without any problems on Windows7-x64 Pre SP1?

    Or have any ideas how to find out before I try?

    I also wonder if it will bug me because of dependencies. Or even install SP1 which I am trying to avoid. My PCI Sata-controllers just wont work with the stupid SP1 installed (old hardware).

    I don't have internet now eccept on my mobile. Also don't have any virtualization software or other hardware I can use to find out.
     
  2. Katinka1

    Katinka1 MDL Novice

    Dec 16, 2016
    35
    0
    0
    Wikipedia says - Final release of SP1 was Feb 22 2011 and wasn't mandatory (I winder why it wasn't mandatory at the time but now it is?)

    The release of Framework 4.0 was Feb 21 2011.
    Which means any issues installing Framework 4.0 on Win7 RTM x64 without SP1 should be known.

    Still not shure. I'm feeling sick..
     
  3. PhaseDoubt

    PhaseDoubt MDL Expert

    Dec 24, 2011
    1,447
    277
    60
    #3 PhaseDoubt, Mar 17, 2017
    Last edited: Mar 17, 2017
    Ahhhh ... the wondrous mind of Microsoft. When it comes to these guys, asking why is many times a fruitless endeavor. I've got 4.6.1 installed and working just fine in my Windows 7 HP SP1 x64 VirtualBox VM. Don't know about pre SP1 as I have no interest in it. But if I needed .net Framework 4.6.1 for a specific program, installing SP1 would be a no-brainer.
     
  4. abbodi1406

    abbodi1406 MDL KB0000001

    Feb 19, 2011
    8,085
    26,951
    270
    It installs on Windows XP, why wouldn't install on 7 RTM?